GET
/
nps
/
chains
cURL
curl --request GET \
  --url https://apidev.nusd.me/nps/chains
{
  "status": 0,
  "data": {
    "total": 123,
    "chains": [
      {
        "chain_id": "BASE_ETH",
        "chain_identifier": "ETH",
        "native_token_id": "ETH",
        "rpc": "https://mainnet.base.org",
        "confirming_threshold": 12,
        "explorer_tx_url": "https://basescan.org/tx/{hash}",
        "explorer_address_url": "https://basescan.org/address/{address}",
        "status": 1,
        "create_at": "2025-10-21T08:49:34.369Z",
        "update_at": "2025-10-21T08:49:34.369Z"
      }
    ]
  },
  "msg": "<string>"
}

Query Parameters

chain_id
string

Chain ID (optional).

Example:

"BASE_ETH"

chain_identifier
string

Chain identifier (optional).

Example:

"ETH"

page
integer

Page number.

num
integer

Items per page. Default: 20. Max: 100.

Response

Request succeeded. Returns chain data.

status
integer

Status code. 0 indicates success.

Example:

0

data
object

Chain list.

msg
string

Error message. Present when status is non-zero.